> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Categories

> The Get Product Categories API retrieves all
    product categories.  This endpoint helps users understand and select the
    appropriate categories for their products.



## OpenAPI

````yaml get /v1/products/categories
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/products/categories:
    get:
      tags:
        - Products
      summary: Get Product Categories
      description: |-
        The Get Product Categories API retrieves all
            product categories.  This endpoint helps users understand and select the
            appropriate categories for their products.
      operationId: get_product_categories_v1_products_categories_get
      responses:
        '200':
          description: Successfully retrieved product categories
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductCategories'
                type: array
                items:
                  $ref: '#/components/schemas/ProductCategories'
                title: Response Get Product Categories V1 Products Categories Get
              example:
                - name: Physical
                  subcategories:
                    - name: Oral Hygiene
                      description: ''
                      example: ''
                      is_frequent: false
                    - name: Medicines - Over the Counter
                      description: ''
                      example: ''
                      is_frequent: false
                - name: Digital
                  subcategories:
                    - name: Custom Software Downloaded
                      description: ''
                      example: ''
                      is_frequent: false
                    - name: B2B SaaS
                      description: ''
                      example: ''
                      is_frequent: true
        '401':
          description: Unauthenticated request.
          content:
            application/json:
              example:
                detail: The request is missing a valid x-api-key.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource Not Found
          content:
            application/json:
              example:
                detail: '[orgn_argaLQwMy2fJc] Product with id categories not found'
        '422':
          description: Validation error
          content:
            application/json:
              example:
                detail:
                  - type: missing
                    loc:
                      - header
                      - x-organization-id
                    msg: Field required
              schema:
                $ref: >-
                  #/components/schemas/backend__src__products__responses__ValidationErrorResponse
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                detail: An unexpected error occurred
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    ProductCategories:
      properties:
        name:
          type: string
          title: Name
          description: |-
            Name of the product category
                        (e.g., PHYSICAL, SERVICE, DIGITAL, MISCELLANEOUS)
        subcategories:
          items:
            $ref: '#/components/schemas/ProductSubCategory'
          type: array
          title: Subcategories
          description: List of subcategories associated with the product category
      type: object
      required:
        - name
        - subcategories
      title: ProductCategories
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__products__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__products__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    ProductSubCategory:
      properties:
        name:
          type: string
          title: Name
          description: |-
            Name of the product subcategory
                        (e.g., ORAL_HYGIENE, MEDICAL_DEVICES, etc.)
        description:
          type: string
          title: Description
          description: Description of the subcategory in the context of sales tax
        example:
          type: string
          title: Example
          description: Example products or services within the subcategory
        is_frequent:
          type: boolean
          title: Is Frequent
          description: >-
            Indicates if the subcategory is a frequent subcategory used by the
            organization. This field is deprecated.
          default: false
      type: object
      required:
        - name
        - description
        - example
      title: ProductSubCategory
    backend__src__products__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: |-
            Validation issues, such as missing required
                                fields or invalid field values.
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````